# Vulnerabilities

Vulnerability detail

This tag groups all operations for vulnerabilities.

## Retrieve Vulnerability

> Returns the Vulnerability by ID.

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Vulnerabilities","description":"Vulnerability detail\n\nThis tag groups all operations for vulnerabilities.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"VulnerabilityRead":{"required":["id","type","href","metadata","properties"],"type":"object","properties":{"id":{"$ref":"#/components/schemas/VulnerabilityId"},"type":{"type":"string","enum":["vulnerability"]},"href":{"type":"string"},"metadata":{"$ref":"#/components/schemas/VulnerabilityMetadata"},"properties":{"$ref":"#/components/schemas/Vulnerability"}}},"VulnerabilityId":{"type":"string","description":"The ID of the vulnerability allocated by the advisory database"},"VulnerabilityMetadata":{"required":["publishedAt"],"type":"object","properties":{"publishedAt":{"type":"string","format":"date-time","description":"The date and time the vulnerability was published"},"updatedAt":{"type":"string","format":"date-time","description":"The date and time the vulnerability was last updated"}}},"Vulnerability":{"required":["description","dataSource","fixable","severity","score","affects"],"type":"object","properties":{"description":{"type":"string","description":"A description of the vulnerability as provided by the source."},"recommendations":{"type":"string","description":"Recommendations for the vulnerability as provided by the source."},"dataSource":{"type":"object","description":"The source that published the vulnerability.","properties":{"id":{"type":"string","description":"The id of the source."},"url":{"type":"string","description":"The URL of the source."}}},"fixable":{"type":"boolean","description":"Indicates whether the vulnerability can be fixed by updating the affected package."},"affects":{"type":"array","items":{"$ref":"#/components/schemas/Purl"}},"references":{"type":"array","description":"Published advisories of the vulnerability if provided.","items":{"type":"string","description":"Location where the advisory can be obtained."}},"severity":{"$ref":"#/components/schemas/VulnerabilitySeverity"},"score":{"type":"number","format":"float","description":"The CVSS score of the vulnerability"}}},"Purl":{"required":["type","name","version"],"type":"object","properties":{"type":{"type":"string","description":"The affected package type"},"name":{"type":"string","description":"The affected package name"},"version":{"type":"string","description":"The affected package version"}}},"VulnerabilitySeverity":{"type":"string","description":"The CVSS vulnerability severity rating"},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/vulnerabilities/{vulnerabilityId}":{"get":{"operationId":"vulnerabilitiesFindByID","summary":"Retrieve Vulnerability","tags":["Vulnerabilities"],"description":"Returns the Vulnerability by ID.","parameters":[{"name":"vulnerabilityId","in":"path","schema":{"type":"string","maxLength":64},"required":true,"description":"The ID of the Vulnerability."}],"responses":{"200":{"description":"Getting Vulnerability was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VulnerabilityRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```
